[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.UseDockManager

Determines whether a DockManager is used for this DockSite.

## Declaration

Source position: controls.pp line 2357

`public property TWinControl.UseDockManager : Boolean read FUseDockManager write SetUseDockManager default False;`

## Description

When UseDockManager is set to True, and DockSite is also set to True, a DockManager is created automatically. When set to False, an existing DockManager is ignored.

If you want to use a special DockManager, install it before setting UseDockManager to True.

## See also

TWinControl.DockSite |  | Allows controls to be drag-and-dock-ed into this control.
TWinControl.DockManager |  | The docking layout manager for this control.
TWinControl.CreateDockManager |  | Returns the DockManager for this control.